Skip to main content
GET
/
v1
/
contacts
curl https://api.vozagent.ai/v1/contacts \
  -H "Authorization: Bearer <token>"
[
  {
    "id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@example.com",
    "phone_number": "+15551234567",
    "company": "Acme Outdoor Living",
    "tags": ["lead", "outdoor-living"],
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  {
    "id": "d2b3c4d5-e6f7-a8b9-c0d1-e2f3a4b5c6d7",
    "first_name": "Jane",
    "last_name": "Smith",
    "email": "jane@smithlandscaping.com",
    "phone_number": "+15559876543",
    "company": "Smith Landscaping",
    "tags": ["customer", "priority"],
    "created_at": "2024-01-14T14:20:00Z",
    "updated_at": "2024-01-15T10:15:00Z"
  }
]
Retrieve your API Key from your VozAgent Dashboard.

Query parameters

limit
number
default:"50"
Maximum number of items to return. Range: 0-100.
offset
number
Pagination offset for paginating through results.
Search contacts by name, email, or phone number.
tags
string[]
Filter contacts by tags. Comma-separated list.

Response

Returns an array of contact objects with their details including name, email, phone, company, and tags.
id
string
Unique identifier for the contact.
first_name
string
Contact’s first name.
last_name
string
Contact’s last name.
email
string
Contact’s email address.
phone_number
string
Contact’s phone number in E.164 format.
company
string
Company name.
tags
string[]
Array of tags assigned to the contact.
created_at
datetime
When the contact was created.
updated_at
datetime
When the contact was last updated.
curl https://api.vozagent.ai/v1/contacts \
  -H "Authorization: Bearer <token>"
[
  {
    "id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@example.com",
    "phone_number": "+15551234567",
    "company": "Acme Outdoor Living",
    "tags": ["lead", "outdoor-living"],
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  {
    "id": "d2b3c4d5-e6f7-a8b9-c0d1-e2f3a4b5c6d7",
    "first_name": "Jane",
    "last_name": "Smith",
    "email": "jane@smithlandscaping.com",
    "phone_number": "+15559876543",
    "company": "Smith Landscaping",
    "tags": ["customer", "priority"],
    "created_at": "2024-01-14T14:20:00Z",
    "updated_at": "2024-01-15T10:15:00Z"
  }
]